vtkVertexBufferObjectMapper Class Reference

`#include <pcl/visualization/vtk/vtkVertexBufferObjectMapper.h>`

Inheritance diagram for vtkVertexBufferObjectMapper:

## Public Member Functions

| vtkTypeMacro (vtkVertexBufferObjectMapper, vtkMapper)
virtual void | Render (vtkRenderer *ren, vtkActor *act)
void | SetInput (vtkPolyData *input)
void | SetInput (vtkDataSet *input)
vtkPolyData * | GetInput ()
void | SetProgram (vtkSmartPointer< vtkShaderProgram2 > program)
void | Update ()
virtual double * | GetBounds ()
virtual void | GetBounds (double bounds[6])

## Static Public Member Functions

static vtkVertexBufferObjectMapper * | New ()

## Protected Member Functions

| vtkVertexBufferObjectMapper ()
| ~vtkVertexBufferObjectMapper ()
virtual void | ComputeBounds ()
virtual int | FillInputPortInformation (int, vtkInformation *)
void | createShaders (vtkOpenGLRenderWindow *win)
void | createVBOs (vtkRenderWindow *win)

## Protected Attributes

vtkVertexBufferObject * | vertexVbo
vtkVertexBufferObject * | indiceVbo
vtkVertexBufferObject * | colorVbo
vtkVertexBufferObject * | normalVbo
vtkSmartPointer< vtkShaderProgram2 > | program
bool | initialized
bool | shadersInitialized

## Detailed Description

Definition at line 38 of file vtkVertexBufferObjectMapper.h.

## Constructor & Destructor Documentation

## vtkVertexBufferObjectMapper()

vtkVertexBufferObjectMapper::vtkVertexBufferObjectMapper | ( |  | ) |

protected

## ~vtkVertexBufferObjectMapper()

vtkVertexBufferObjectMapper::~vtkVertexBufferObjectMapper | ( |  | ) |

inline protected

Definition at line 108 of file vtkVertexBufferObjectMapper.h.

## Member Function Documentation

## ComputeBounds()

virtual void vtkVertexBufferObjectMapper::ComputeBounds | ( |  | ) |

protected virtual

## createShaders()

void vtkVertexBufferObjectMapper::createShaders | ( | vtkOpenGLRenderWindow * | win | ) |

protected

## createVBOs()

void vtkVertexBufferObjectMapper::createVBOs | ( | vtkRenderWindow * | win | ) |

protected

## FillInputPortInformation()

virtual int vtkVertexBufferObjectMapper::FillInputPortInformation | ( | int | ,
|  | vtkInformation * |
| ) |  |

protected virtual

## GetBounds() [1/2]

virtual double* vtkVertexBufferObjectMapper::GetBounds | ( |  | ) |

virtual

## GetBounds() [2/2]

virtual void vtkVertexBufferObjectMapper::GetBounds | ( | double | bounds[6] | ) |

inline virtual

Definition at line 73 of file vtkVertexBufferObjectMapper.h.

## GetInput()

vtkPolyData* vtkVertexBufferObjectMapper::GetInput | ( |  | ) |

## New()

static vtkVertexBufferObjectMapper* vtkVertexBufferObjectMapper::New | ( |  | ) |

static

## Render()

virtual void vtkVertexBufferObjectMapper::Render | ( | vtkRenderer * | ren,
|  | vtkActor * | act
| ) |  |

virtual

## SetInput() [1/2]

void vtkVertexBufferObjectMapper::SetInput | ( | vtkPolyData * | input | ) |

## SetInput() [2/2]

void vtkVertexBufferObjectMapper::SetInput | ( | vtkDataSet * | input | ) |

## SetProgram()

void vtkVertexBufferObjectMapper::SetProgram | ( | vtkSmartPointer< vtkShaderProgram2 > | program | ) |

inline

Definition at line 60 of file vtkVertexBufferObjectMapper.h.

## Update()

void vtkVertexBufferObjectMapper::Update | ( |  | ) |

## vtkTypeMacro()

vtkVertexBufferObjectMapper::vtkTypeMacro | ( | vtkVertexBufferObjectMapper | ,
|  | vtkMapper |
| ) |  |

## Member Data Documentation

## colorVbo

vtkVertexBufferObject* vtkVertexBufferObjectMapper::colorVbo

protected

Definition at line 118 of file vtkVertexBufferObjectMapper.h.

## indiceVbo

vtkVertexBufferObject* vtkVertexBufferObjectMapper::indiceVbo

protected

Definition at line 117 of file vtkVertexBufferObjectMapper.h.

## initialized

bool vtkVertexBufferObjectMapper::initialized

protected

Definition at line 129 of file vtkVertexBufferObjectMapper.h.

## normalVbo

vtkVertexBufferObject* vtkVertexBufferObjectMapper::normalVbo

protected

Definition at line 119 of file vtkVertexBufferObjectMapper.h.

## program

vtkSmartPointer<vtkShaderProgram2> vtkVertexBufferObjectMapper::program

protected

Definition at line 122 of file vtkVertexBufferObjectMapper.h.

## shadersInitialized

bool vtkVertexBufferObjectMapper::shadersInitialized

protected

Definition at line 130 of file vtkVertexBufferObjectMapper.h.

## vertexVbo

vtkVertexBufferObject* vtkVertexBufferObjectMapper::vertexVbo

protected

Definition at line 116 of file vtkVertexBufferObjectMapper.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/visualization/include/pcl/visualization/vtk/vtkVertexBufferObjectMapper.h